import * as React from 'react';
import { Matcher, ReactFacetedSearchStyles } from '../../types';
import Nemonic from '../../../component/types/Nemonic';
interface MatcherViewProps {
    matcher: Matcher | Nemonic;
    onMatcherChanged?: (matcher: Matcher) => void;
    onValidate?: (matcher: Matcher) => string | null;
    onDelete: () => void;
    onSelect?: () => void;
    onCancel?: () => void;
    onSwapMatcher?: (matcher: Matcher, swapMatcher: Matcher) => void;
    onEditPrevious?: () => void;
    onEditNext?: () => void;
    onChanging?: () => void;
    onInsertMatcher?: (matcher: Matcher) => void;
    selected?: boolean;
    first?: boolean;
    showWarning?: boolean;
    hideToolTip?: boolean;
    allowFreeText?: boolean;
    styles?: ReactFacetedSearchStyles;
}
declare const MatcherView: React.FC<MatcherViewProps>;
export default MatcherView;
