import * as React from 'react';
import { Matcher } from '../../types';
import ReactFacetedSearchStyles from '../../types/ReactFacetedSearchStyles';
import Nemonic from '../../../component/types/Nemonic';
interface MatcherEditProps {
    matcher?: Matcher;
    onMatcherChanged: (matcher: Matcher | null) => void;
    onValidate?: (matcher: Matcher) => string | null;
    onFocus?: () => void;
    onCancel?: () => void;
    onEditPrevious: (deleting: boolean) => void;
    onEditNext?: () => void;
    onChanging?: () => void;
    onInsertMatcher?: (matcher: Matcher) => void;
    onSetActiveFunction?: (activeFunction: Nemonic) => void;
    onDeleteActiveFunction?: () => void;
    first: boolean;
    allowFunctions?: boolean;
    allowFreeText?: boolean;
    styles?: ReactFacetedSearchStyles;
}
declare const MatcherEdit: React.ForwardRefExoticComponent<MatcherEditProps & React.RefAttributes<HTMLInputElement>>;
export default MatcherEdit;
