import * as React from 'react';
import { Option, ReactFacetedSearchStyles } from '../../types';
import { CategoryOptions } from '../MatcherEdit/MatcherEditFunctions';
interface OptionListProps {
    options: CategoryOptions[];
    activeOption: number | null;
    onSelectOption: (option: Option, insert: boolean) => void;
    onSelectActiveOption: (index: number) => void;
    styles?: ReactFacetedSearchStyles;
    onSelectFunction: (func: string) => void;
    onSelectOperator: (op: string) => void;
    onSelectComparison: (comp: string) => void;
    onSelectText: (option: Option) => void;
}
declare const OptionList: React.FC<OptionListProps>;
export default OptionList;
